<?php

/**
 * This widget allows to view the Blesta license details.
 *
 * @copyright Copyright (c) 2019, Phillips Data, Inc.
 * @link http://www.blesta.com/ Blesta
 */
class Widget_LicenseDetails extends HostingWidget
{
    protected $description = 'View your license details.';

    protected $widgetfullname = 'License Details';

    /**
     * HostBill will call this function when widget is visited from clientarea
     *
     * @param HostingModule $module Your provisioning module object
     *
     * @return array
     */
    public function clientFunction(&$module)
    {
        // Fetch the license details
        $license = $module->LicenseDetails();

        // Build view
        $vars = [
            'license_key' => $license['license_key']
        ];

        return ['licensedetails.tpl', $vars];
    }
}